gnutls_openpgp_privkey_import(3)

NAME
gnutls_openpgp_privkey_import - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_privkey_import(gnutls_openpgp_privkey_t key, const gnutls_datum_t * data, gnutls_openpgp_crt_fmt_t format, const char * password, unsigned int flags);

ARGUMENTS

gnutls_openpgp_privkey_t key
    The structure to store the parsed key.

const gnutls_datum_t * data
    The RAW or BASE64 encoded key.

gnutls_openpgp_crt_fmt_t format
    One of gnutls_openpgp_crt_fmt_t elements.

const char * password
    not used for now

unsigned int flags
    should be (0)

DESCRIPTION
This function will convert the given RAW or Base64 encoded key to the native gnutls_openpgp_privkey_t format. The output will be stored in 'key'.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/